Company Research
Research companies
Research companies by search result IDs from /search/companies and/or direct company identifiers (domain, companyName).
POST
/
companies
/
research
curl --request POST \
--url https://api.seamless.ai/api/client/v2/companies/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchResultIds": [
"a1b2c3d4-e5f6-3a4b-8c9d-1e2f3a4b5c6d",
"f6e5d4c3-b2a1-3f4e-9d8c-6b5a4f3e2d1c"
],
"companies": [
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
},
{
"domain": "openai.com"
}
]
}
'{
"success": true,
"requestIds": [
"kf9Lm2Qx7Rp4Tn1Vw8Zc0",
"Hd3Bs6Yj0Wk5Qn2Lp9Rt7"
]
}{
"message": "<string>"
}{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://login.seamless.ai/oauth/authorize
- Token URL
- https://api.seamless.ai/api/client/v2/oauth/accessToken
Body
application/json
Company search result IDs returned from /search/companies that you want to enrich.
Maximum array length:
500Example:
["a1b2c3d4-e5f6-3a4b-8c9d-1e2f3a4b5c6d"]
Companies to enrich directly without running search first. Each item must include at least one identifier:
domaincompanyName
When only domain is supplied, the company name is resolved from Seamless data; if no company
is known for that domain the request finishes with status error when polled.
Maximum array length:
500Show child attributes
Show child attributes
Example:
[
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
}
]
When true, research will not check for duplicate records that you already researched recently, and perform a research (which can result in credit usage)
Was this page helpful?
⌘I
curl --request POST \
--url https://api.seamless.ai/api/client/v2/companies/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchResultIds": [
"a1b2c3d4-e5f6-3a4b-8c9d-1e2f3a4b5c6d",
"f6e5d4c3-b2a1-3f4e-9d8c-6b5a4f3e2d1c"
],
"companies": [
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
},
{
"domain": "openai.com"
}
]
}
'{
"success": true,
"requestIds": [
"kf9Lm2Qx7Rp4Tn1Vw8Zc0",
"Hd3Bs6Yj0Wk5Qn2Lp9Rt7"
]
}{
"message": "<string>"
}{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}{
"message": "<string>"
}